<?php
session_start();
include '../../assets/constant/config.php';

try {
    $conn = new PDO("mysql:host=$servername;dbname=$dbname", $username, $password);
    $conn->setAttribute(PDO::ATTR_ERRMODE, PDO::ERRMODE_EXCEPTION);

    if (isset($_POST['submit'])) {


        $stmt = $conn->prepare("INSERT INTO `batch`(`name`,`date`,`note`,`status`) VALUES (?,?,?,?)");

        $stmt->execute([
           
            htmlspecialchars($_POST['name'], ENT_QUOTES, 'UTF-8'),
           htmlspecialchars($_POST['date'], ENT_QUOTES, 'UTF-8'),
           htmlspecialchars($_POST['note'], ENT_QUOTES, 'UTF-8'),
           htmlspecialchars($_POST['status'], ENT_QUOTES, 'UTF-8'),
        ]);

        $_SESSION['success'] = "success";

        header("location:../manage_batch.php");
    }

    



// update contritype....

    if (isset($_POST['update'])) {

 $stmt = $conn->prepare("UPDATE `batch` SET `name`=? ,`date`=?,`note`=? ,`status`=? WHERE id=? ");
                  $stmt->execute([
            htmlspecialchars($_POST['name'], ENT_QUOTES, 'UTF-8'),
           
            htmlspecialchars($_POST['date'], ENT_QUOTES, 'UTF-8'),
             htmlspecialchars($_POST['note'], ENT_QUOTES, 'UTF-8'),
             htmlspecialchars($_POST['status'], ENT_QUOTES, 'UTF-8'),
           htmlspecialchars($_POST['id'], ENT_QUOTES, 'UTF-8')
        ]);
    
        $_SESSION['update'] = "update";
        header("location:../manage_batch.php");
    }
    

    // delete contritype..

    if (isset($_POST['del_id'])) {

        $stmt = $conn->prepare("UPDATE `batch` SET delete_status='1' where id=? ");

        $stmt->execute([htmlspecialchars($_POST['del_id'], ENT_QUOTES, 'UTF-8')]);

        $_SESSION['delete'] = "delete";

        header("location:../manage_batch.php");
    }
} catch (PDOException $e) {
    echo "Connection failed: " . $e->getMessage();
}
